View Issue Details

IDProjectCategoryView StatusLast Update
0021931mantisbtreportspublic2019-03-16 20:20
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0.0-rc.1 
Target Version2.20.0Fixed in Version2.20.0 
Summary0021931: Filtered Summary
Description

Summary page, and graphs, seems to fetch all bugs in the project.

This is not practical when the project has a lot of historic issues
A common use case is the need to have a summary of a subset of the issues, for a date interval.
Otherwise, the graphs get cluttered with old data and hides the relevant information for the recent activity.

A filter by date is needed to improve this situation.

I suggest reusing the filter system.
See my implementation for timeline search as an example of joining with a filter-generated query.
https://github.com/mantisbt/mantisbt/blob/master/core/history_api.php#L189

If done so, a further step into offering a complete filter for summary would be much easier to implement.
Note that my work on filter api will eventually provide the ability to paint and use a filter box in the summary pages.

Additional Information

I've changed the issue to generally applying a filter to the summary pages

TagsNo tags attached.

Relationships

related to 0009757 closedcproensa View Issues - Select a Filter - Graph are not linked on this choice 
related to 0004624 closedcproensa Add filtered summary 
related to 0025210 closedcproensa Script error in graphs 
related to 0014656 closedcproensa Filter by dates in Summary Graphs 
related to 0025164 closedcproensa MantisGraph, implement filtered summary for graphs 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 48572095

2019-01-02 20:12:09

cproensa


Committer: dregad Details Diff
Implement core summary with filter

Extend standard summary page to filter by a provided filter array.
Existing queries has not been modified logically, only the additional
restriction, to get issues matching with the filter, has been added.

Summary page now supports a receiving a temporary filter key as
request parameter. If no key is povided, a generic filter will be used
which shows all accesible issues by the user, to match the previous
summary behaviour.

Fixes: 0009757, 0021931, 0025165
Affected Issues
0009757, 0021931, 0025165
mod - core/summary_api.php Diff File
mod - summary_page.php Diff File
mod - view_all_inc.php Diff File

MantisBT: master 943030b4

2019-02-14 11:16:39

dregad

Details Diff
Filter summary improvements

Merge PR https://github.com/mantisbt/mantisbt/pull/1442

Fixes 0009757, 0021931, 0022099, 0025163, 0025165, 0025168
Affected Issues
0009757, 0021931, 0022099, 0025163, 0025165, 0025168
mod - core/classes/DbQuery.class.php Diff File
mod - core/filter_api.php Diff File
mod - core/html_api.php Diff File
mod - core/summary_api.php Diff File
mod - docbook/Admin_Guide/en-US/Page_Descriptions.xml Diff File
mod - lang/strings_english.txt Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_work_threshold_set.php Diff File
mod - plugins/MantisGraph/MantisGraph.php Diff File
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - plugins/MantisGraph/pages/category_graph.php Diff File
mod - plugins/MantisGraph/pages/developer_graph.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_bycategory_table.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_bystatus_table.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_graph.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_page.php Diff File
mod - plugins/MantisGraph/pages/priority_graph.php Diff File
mod - plugins/MantisGraph/pages/reporter_graph.php Diff File
mod - plugins/MantisGraph/pages/resolution_graph.php Diff File
mod - plugins/MantisGraph/pages/severity_graph.php Diff File
mod - plugins/MantisGraph/pages/status_graph.php Diff File
mod - summary_page.php Diff File
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File

Issue History

Date Modified Username Field Change
2016-11-19 14:57 cproensa New Issue
2016-11-19 15:02 cproensa Description Updated View Revisions
2016-11-20 06:17 atrol Category bugtracker => reports
2019-01-03 08:18 cproensa Relationship added related to 0009757
2019-01-03 08:19 cproensa Relationship added related to 0014656
2019-01-03 08:19 cproensa Summary Summary filtered by date => Filtered Summary
2019-01-03 08:19 cproensa Additional Information Updated View Revisions
2019-01-07 09:56 cproensa Assigned To => cproensa
2019-01-07 09:56 cproensa Status new => assigned
2019-01-07 10:01 cproensa Relationship added related to 0025164
2019-01-08 17:38 cproensa Relationship added related to 0004624
2019-01-16 02:21 atrol Relationship added related to 0025210
2019-01-16 02:27 atrol Target Version => 2.20.0
2019-02-14 11:22 dregad Changeset attached => MantisBT master 48572095
2019-02-14 11:22 dregad Changeset attached => MantisBT master 943030b4
2019-02-14 11:22 dregad Assigned To cproensa => dregad
2019-02-14 11:22 dregad Status assigned => resolved
2019-02-14 11:22 dregad Resolution open => fixed
2019-02-14 11:22 dregad Fixed in Version => 2.20.0
2019-02-14 15:42 atrol Assigned To dregad => cproensa
2019-03-16 20:20 vboctor Status resolved => closed